#---
# Excerpted from "High Performance PostgreSQL for Rails",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material,
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose.
# Visit https://pragprog.com/titles/aapsql for more book information.
#---
# Set PGSLICE_URL on cron host
#
# At time: "00:00", on the first day of month
# Link: https://crontab.guru/#0_0_1_*_*
#
0 0 1 * * bin/pgslice add_partitions rideshare.trip_positions \
  --future 3 \
  --url $PGSLICE_URL
