SELECT PG_STAT_FILE('/tmp/postgresql-2023-09-25_131154.csv');

CREATE FOREIGN TABLE pglog (
  log_time TIMESTAMP(3) WITH TIME ZONE,
  user_name TEXT,
  database_name TEXT,
  process_id INTEGER,
  connection_from TEXT,
  session_id TEXT,
  session_line_num BIGINT,
  command_tag TEXT,
  session_start_time TIMESTAMP WITH TIME ZONE,
  virtual_transaction_id TEXT,
  transaction_id BIGINT,
  error_severity TEXT,
  sql_state_code TEXT,
  message TEXT,
  detail TEXT,
  hint TEXT,
  internal_query TEXT,
  internal_query_pos INTEGER,
  context TEXT,
  query TEXT,
  query_pos INTEGER,
  location TEXT,
  application_name TEXT,
  backend_type TEXT,
  leader_pid INTEGER,
  query_id BIGINT
) SERVER file_server
OPTIONS ( FILENAME '/tmp/postgresql-2023-09-25_131154.csv', FORMAT 'csv' );
