-- Connect to Primary
-- docker exec --user postgres -it db01 psql

SHOW wal_level; -- confirm it's 'logical'

-- Create Publication
CREATE PUBLICATION all_tables_all_ops_pub FOR ALL TABLES;

-- Second publication: all tables, but inserts only
CREATE PUBLICATION my_pub_inserts_only FOR ALL TABLES
WITH (PUBLISH = 'INSERT');

-- View Publications
SELECT * FROM pg_publication;
