BEGIN;

CREATE TABLE "rideshare"."trip_positions_intermediate"
(LIKE "rideshare"."trip_positions"
  INCLUDING DEFAULTS
  INCLUDING CONSTRAINTS
  INCLUDING STORAGE
  INCLUDING COMMENTS
  INCLUDING STATISTICS
  INCLUDING GENERATED
  INCLUDING COMPRESSION)
PARTITION BY RANGE ("created_at");

ALTER TABLE "rideshare"."trip_positions_intermediate"
ADD FOREIGN KEY (trip_id) REFERENCES trips(id);

COMMENT ON TABLE "rideshare"."trip_positions_intermediate"
IS 'column:created_at,period:month,cast:date,version:3';

COMMIT;
