ALTER TABLE users
ALTER COLUMN first_name SET STATISTICS 5_000;

ANALYZE users;

SELECT
  attname,
  n_distinct,
  most_common_vals
FROM pg_stats
WHERE schemaname = 'rideshare'
AND tablename = 'users'
AND attname = 'first_name';

-- -[ RECORD 1 ]----+---------------------------------------------------
-- attname          | first_name
-- n_distinct       | -0.9931146
-- most_common_vals | {Alonso,Fred,Harris,Corey,
--                    Dominique,Jamal,Marion,Mary,Reed,Sam,Sandy,Stevie}

-- Set statistics target back to defaulf of 1000
