-- Use temp_restore database
\c temp_restore

DROP TABLE trip_pickups;

BEGIN;

CREATE UNLOGGED TABLE trip_pickups (
  time TIMESTAMP WITHOUT TIME ZONE,
  lat NUMERIC(15,10),
  lon NUMERIC(15,10),
  base_code VARCHAR(10)
) WITH (autovacuum_enabled = FALSE);

COPY trip_pickups
FROM '/tmp/uber-raw-data-aug14.csv'
CSV HEADER;

COMMIT;
