-- Use \watch to continually monitor results
SELECT
  pid,
  datname,
  usename,
  application_name,
  client_hostname,
  client_port,
  backend_start,
  query_start,
  query,
  state
FROM pg_stat_activity
WHERE pid != PG_BACKEND_PID()  -- exclude this query
AND datname = 'rideshare_development' -- specify app DB
AND state IS NOT NULL\watch
