-- temp schema
CREATE SCHEMA IF NOT EXISTS temp;

-- create list_items table
CREATE TABLE temp.list_items (
  id SERIAL PRIMARY KEY,
  list_id INTEGER,
  position INTEGER,
  CONSTRAINT unique_pos UNIQUE (position)
);

-- generate 10 rows, `id` and `position` numbered 1-10
INSERT INTO temp.list_items (list_id, position)
SELECT 1, GENERATE_SERIES(1, 10, 1);
