-- Set a seed
SELECT SETSEED(0.5);

BEGIN;

SET LOCAL statement_timeout = '60s';

INSERT INTO trip_positions (
  position, trip_id, created_at, updated_at)
  SELECT POINT('(37.769233' ||
      FLOOR(RANDOM() * 10 + 1)::TEXT ||
      ',-122.3890705)'),
  (SELECT MIN(id) FROM trips),
  seq,
  seq
  FROM GENERATE_SERIES(
    '2023-08-01 0:00'::TIMESTAMPTZ,
    '2023-10-01 0:00'::TIMESTAMPTZ,
    '1 second'::INTERVAL)
  AS t(seq);

COMMIT;
