SELECT
  users.id AS driver_id,
  trips_count
FROM users
WHERE type = 'Driver'
AND trips_count > (
  -- the earlier ROUND(AVG(trips)) query
  SELECT ROUND(AVG(trips_count))
  FROM users
  WHERE type = 'Driver'
)
ORDER BY trips_count
DESC LIMIT 5;
