SELECT
  n.nspname AS enum_schema,
  t.typname AS enum_name,
  e.enumlabel AS enum_value
FROM pg_type t
JOIN pg_enum e ON t.oid = e.enumtypid
JOIN pg_catalog.pg_namespace n ON n.oid = t.typnamespace;

--  enum_schema |   enum_name    | enum_value
-- -------------+----------------+------------
--  rideshare   | vehicle_status | published
--  rideshare   | vehicle_status | draft
